<?php

class m140916_093602_add_function_to_gatetable extends MyDbMigration
{

  public function up()
  {
    if ($this->dbConnection->schema->getTable('gatetable')->getColumn('function') == null)
      $this->addColumn('gatetable', 'function', 'string');
  }

  public function down()
  {
    if ($this->dbConnection->schema->getTable('gatetable')->getColumn('function') != null)
      $this->dropColumn('gatetable', 'function');

    return true;
  }
}
